PointbaseTable (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.db.PointbaseTable class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.db
Class PointbaseTable

    java.lang.Object
      org.hyperic.tools.db.PointbaseTable

    public class PointbaseTable

extends java.lang.Object

Constructor Summary
`PointbaseTable()`

Method Summary
`protected void` | `clear()`
`protected void` | `create(java.util.Collection typemaps)`
`protected void` | `drop()`
`protected java.lang.String` | `getCacheSyntax()`
`protected static int` | `getClassType()`
`protected void` | `getClearCommands(java.util.List cmds)`
`protected java.util.List` | `getColumns()`
`protected java.util.Collection` | `getConstraints()`
`protected void` | `getCreateCommands(java.util.List cmds, java.util.Collection typemaps, int dbtype)`
`protected org.hyperic.tools.db.DataSet` | `getDataSet()`
`protected DBSetup` | `getDBSetup()`
`protected void` | `getDropCommands(java.util.List cmds)`
`protected java.lang.String` | `getEngine()`
`java.lang.String` | `getEngineClause()` Get the engine clause for this table.
`protected java.lang.String` | `getEngineSyntax()`
`protected java.util.Collection` | `getIndexes()`
`protected java.lang.String` | `getIndexOrganizedSyntax(int dbtype)`
`protected java.lang.String` | `getLoggingSyntax()`
`protected java.lang.String` | `getName()`
`protected java.lang.String` | `getParallelSyntax()`
`protected java.lang.String` | `getQueryCommand()`
`protected java.lang.String` | `getStorage()`
`java.lang.String` | `getStorageClause()` Get the storage clause for this table.
`protected java.lang.String` | `getStorageSyntax()`
`protected static java.util.Collection` | `getTables(DBSetup parent, java.lang.String username)`
`protected static java.util.Collection` | `getTables(org.w3c.dom.Node node, int dbtype, DBSetup parent)`
`protected java.lang.String` | `getTableSpace()`
`protected java.lang.String` | `getTableSpaceSyntax()`
`protected static boolean` | `isTable(org.w3c.dom.Node nodeTable)`
`protected static void` | `uninstallCleanup(java.sql.Connection conn)`
`protected static void` | `uninstallCleanup(DBSetup parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointbaseTable

    public PointbaseTable()

Method Detail

### getClassType

    protected static int getClassType()

### uninstallCleanup

    protected static void uninstallCleanup(java.sql.Connection conn)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    protected void create(java.util.Collection typemaps)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### clear

    protected void clear()
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### drop

    protected void drop()
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getColumns

    protected java.util.List getColumns()

### getTableSpace

    protected java.lang.String getTableSpace()

### getStorage

    protected java.lang.String getStorage()

### getEngine

    protected java.lang.String getEngine()

### getCreateCommands

    protected void getCreateCommands(java.util.List cmds,
                                     java.util.Collection typemaps,
                                     int dbtype)

### getStorageClause

    public java.lang.String getStorageClause()

  Get the storage clause for this table. Returns an empty string if it is not applicable

  Returns:

### getEngineClause

    public java.lang.String getEngineClause()

  Get the engine clause for this table. Returns an empty string if not applicable

### getIndexOrganizedSyntax

    protected java.lang.String getIndexOrganizedSyntax(int dbtype)

### getParallelSyntax

    protected java.lang.String getParallelSyntax()

### getLoggingSyntax

    protected java.lang.String getLoggingSyntax()

### getCacheSyntax

    protected java.lang.String getCacheSyntax()

### getTableSpaceSyntax

    protected java.lang.String getTableSpaceSyntax()

### getStorageSyntax

    protected java.lang.String getStorageSyntax()

### getEngineSyntax

    protected java.lang.String getEngineSyntax()

### getDataSet

    protected org.hyperic.tools.db.DataSet getDataSet()

### getClearCommands

    protected void getClearCommands(java.util.List cmds)

### getDropCommands

    protected void getDropCommands(java.util.List cmds)

### getConstraints

    protected java.util.Collection getConstraints()

### getIndexes

    protected java.util.Collection getIndexes()

### getQueryCommand

    protected java.lang.String getQueryCommand()

### getName

    protected java.lang.String getName()

### getTables

    protected static java.util.Collection getTables(org.w3c.dom.Node node,
                                                    int dbtype,
                                                    DBSetup parent)

### getTables

    protected static java.util.Collection getTables(DBSetup parent,
                                                    java.lang.String username)
                                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isTable

    protected static boolean isTable(org.w3c.dom.Node nodeTable)

### uninstallCleanup

    protected static void uninstallCleanup(DBSetup parent)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDBSetup

    protected DBSetup getDBSetup()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.